# Generated from opal-js_wrap-three-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name opal-js_wrap-three

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Wrapper for Three.js
License: MIT
URL: https://github.com/hmdne/opal-js_wrap-three
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
BuildArch: noarch

%description
(Mostly) raw wrapper for the Three.js library for Opal.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/babel.config.json
%{gem_instdir}/bin
%{gem_instdir}/lib-opal
%{gem_libdir}
%{gem_instdir}/package-lock.json
%{gem_instdir}/package.json
%{gem_instdir}/rollup.config.js
%{gem_instdir}/src
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/opal-js_wrap-three.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.3-1
- Initial package
